services:
  # --- Backend Service ---
  backend:
    build: .
    container_name: canifa_tool_test_recommend
    env_file: .env
    ports:
      - "5004:5004"
    volumes:
      - .:/app
    environment:
      - PORT=5004
    restart: unless-stopped
    deploy:
      resources:
        limits:
          memory: 8g
    logging:
      driver: "json-file"
      options:
        tag: "{{.Name}}"
